Page MenuHomePhabricator

VisualEditor: Browser tests assume the User namespace is VE-editable
Closed, ResolvedPublic

Description

The browser tests are acting on User:Selenium_user. On a default VisualEditor installation, the User namespace does not have VisualEditor enabled.

The easiest would be to enable VisualEditor on user page I guess.


Version: unspecified
Severity: normal

Details

Reference
bz57104

Event Timeline

bzimport raised the priority of this task from to Normal.Nov 22 2014, 2:13 AM
bzimport set Reference to bz57104.
hashar created this task.Nov 15 2013, 1:39 PM
hashar added a comment.Dec 5 2013, 2:15 PM

Jeff, Željko that might be appealing to you :-]

I have just noticed that it is already assigned to Chris (_after_ adding him to cc).

jhall wrote:

This issue was resolved with the following commit:

https://gerrit.wikimedia.org/r/#/c/99257/

jhall wrote:

Ignore previous comment - I meant to put that comment in BZ 57103.

Is this still true?

hashar added a comment.Mar 4 2014, 9:42 AM

Yup the VisualEditor.php entry point has:

$wgVisualEditorNamespaces = $wgContentNamespaces;

Which does not include the User namespace. So the tests should probably only hit the content namespaces.

Change 118029 had a related patch set uploaded by Jforrester:
Enable VisualEditor by default in NS_USER as well as $wgContentNamespaces

https://gerrit.wikimedia.org/r/118029

Change 118029 merged by jenkins-bot:
Enable VisualEditor by default in NS_USER as well as $wgContentNamespaces

https://gerrit.wikimedia.org/r/118029